Bug 965344 - Review Request: rasdaemon - Daemon to collect RAS error tracing events from the Kernel drivers
Review Request: rasdaemon - Daemon to collect RAS error tracing events from t...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Douglas Schilling Landgraf
Fedora Extras Quality Assurance
:
: 961078 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-20 21:17 EDT by Mauro Carvalho Chehab
Modified: 2013-07-04 19:01 EDT (History)
4 users (show)

See Also:
Fixed In Version: rasdaemon-0.4.1-3.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-13 01:54:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dougsland: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mauro Carvalho Chehab 2013-05-20 21:17:03 EDT
Spec URL: http://mchehab.fedorapeople.org/rasdaemon.spec
SRPM URL: http://mchehab.fedorapeople.org/rasdaemon-0.3.0-1.fc18.src.rpm
Description: Daemon to collect RAS error tracing events from the Kernel drivers
Fedora Account System Username: mchehab
Comment 1 Mauro Carvalho Chehab 2013-05-20 21:28:48 EDT
*** Bug 961078 has been marked as a duplicate of this bug. ***
Comment 2 Douglas Schilling Landgraf 2013-05-20 22:47:09 EDT
Package review based on manual steps and fedora-review tool.

[OK] MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.

Rpmlint
-------
Checking: rasdaemon-0.3.0-1.fc18.x86_64.rpm
rasdaemon.x86_64: W: spelling-error %description -l en_US chipsets -> chip sets, chip-sets, Chiclets
rasdaemon.x86_64: W: spelling-error %description -l en_US userspace -> user space, user-space, users pace
rasdaemon.x86_64: W: spelling-error %description -l en_US init -> unit, int, nit
rasdaemon.x86_64: W: spelling-error %description -l en_US startup -> start up, start-up, upstart
rasdaemon.x86_64: W: spelling-error %description -l en_US sysfs -> sysops
rasdaemon.x86_64: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 0 errors, 6 warnings.

Rpmlint (installed packages)
----------------------------
# rpmlint rasdaemon
rasdaemon.x86_64: W: spelling-error %description -l en_US chipsets -> chip sets, chip-sets, Chiclets
rasdaemon.x86_64: W: spelling-error %description -l en_US userspace -> user space, user-space, users pace
rasdaemon.x86_64: W: spelling-error %description -l en_US init -> unit, int, nit
rasdaemon.x86_64: W: spelling-error %description -l en_US startup -> start up, start-up, upstart
rasdaemon.x86_64: W: spelling-error %description -l en_US sysfs -> sysops
rasdaemon.x86_64: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 0 errors, 6 warnings.
# echo 'rpmlint-done:'

All warnings can be ignored.

[OK] MUST: The package must be named according to the Package Naming Guidelines 

[OK] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.

[OK] MUST: The package must meet the Packaging Guidelines .

[OK] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .

[OK] MUST: The License field in the package spec file must match the actual license. [3]

[OK] MUST: The spec file must be written in American English.

[OK] MUST: The spec file for the package MUST be legible. 

[OK] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.

From src.rpm: 87eb4e0a518b6f38fa368bba24d64637939281820d6b0c49084345a2ba8b10d9  rasdaemon-0.3.0.tar.bz2
From url: 87eb4e0a518b6f38fa368bba24d64637939281820d6b0c49084345a2ba8b10d9  rasdaemon-0.3.0.tar.bz2

[OK] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture. 

[OK] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.

[OK] MUST: Packages must NOT bundle copies of system libraries.

[OK] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. [13]

[OK] MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)[14]

[OK] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. [15]

[OK] MUST: Each package must consistently use macros. [16]

[OK] MUST: The package must contain code, or permissable content. [17]

[OK[ MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity). [18]

[OK] MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.

[OK] MUST: All filenames in rpm packages must be valid UTF-8

[OK] SHOULD: The reviewer should test that the package builds in mock

[OK] SHOULD: The package should compile and build into binary rpms on all supported architectures. 

[OK] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.

APPROVED
Comment 3 Douglas Schilling Landgraf 2013-05-20 22:50:41 EDT
Hi Mauro, I noticed that you have updated the spec and sources. I have re-executed the review, everything is fine and the package keep approved. 

Last review CHECKSUM(SHA256): 497f3df9750a58430407028912c7abfecbf1c3905ea566562262bd1fa59db179
  CHECKSUM(SHA256) upstream package : 497f3df9750a58430407028912c7abfecbf1c3905ea566562262bd1fa59db179
Comment 4 Mauro Carvalho Chehab 2013-05-20 22:52:07 EDT
(In reply to Douglas Schilling Landgraf from comment #2)
> APPROVED
Thanks!
Comment 5 Mauro Carvalho Chehab 2013-05-21 13:37:13 EDT
New Package SCM Request
=======================
Package Name: rasdaemon
Short Description: Daemon to collect RAS error tracing events from the Kernel
Owners: mchehab
Branches: f18 f19
InitialCC:
Comment 6 Mauro Carvalho Chehab 2013-05-21 13:44:13 EDT
New Package SCM Request
=======================
Package Name: rasdaemon
Short Description: Daemon to collect RAS error tracing events from the Kernel
Owners: mchehab
Branches: f18 f19
InitialCC:
Comment 7 Gwyn Ciesla 2013-05-21 14:35:17 EDT
Git done (by process-git-requests).
Comment 8 Fedora Update System 2013-05-21 15:12:57 EDT
rasdaemon-0.3.0-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/rasdaemon-0.3.0-1.fc19
Comment 9 Fedora Update System 2013-05-21 15:13:09 EDT
rasdaemon-0.3.0-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/rasdaemon-0.3.0-1.fc18
Comment 10 Fedora Update System 2013-05-22 18:41:17 EDT
rasdaemon-0.3.0-1.fc19 has been pushed to the Fedora 19 testing repository.
Comment 11 Fedora Update System 2013-05-29 15:16:16 EDT
rasdaemon-0.4.1-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/rasdaemon-0.4.1-2.fc19
Comment 12 Fedora Update System 2013-05-29 15:16:26 EDT
rasdaemon-0.4.1-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/rasdaemon-0.4.1-2.fc18
Comment 13 Fedora Update System 2013-06-03 04:54:59 EDT
rasdaemon-0.4.1-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/rasdaemon-0.4.1-3.fc19
Comment 14 Fedora Update System 2013-06-03 04:55:09 EDT
rasdaemon-0.4.1-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/rasdaemon-0.4.1-3.fc18
Comment 15 Fedora Update System 2013-06-13 01:54:47 EDT
rasdaemon-0.4.1-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2013-06-13 02:39:22 EDT
rasdaemon-0.4.1-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.